import { Address } from '../app/address.type';
import { BasicREntity } from '../basicR.type';
import { Visit } from './visit.type';
import { FarmConsultant } from './farmConsultant.type';
export declare enum ConsultantEducation {
    VETERINARIAN = 1,
    AGRONOMIST = 2,
    ZOOTECHNIST = 3,
    LIVESTOCK_TECHNICIAN = 4
}
export declare class UserConsultant extends BasicREntity {
    name: string;
    emails: string;
    linkPhoto?: string;
    phones: string;
    identification: String;
    address?: Address;
    consultantEducation: ConsultantEducation;
    supervisor?: UserConsultant;
    visits?: Visit[];
    farmConsultants?: FarmConsultant[];
}
